# $Revision: 1.29 $, $Date: 2006/11/07 21:26:17 $
Summary:	kX Generator - xorg.conf file generator
Summary(de):	kX Generator - ein xorg.conf Datei Generator
Summary(pl):	kX Generator - generator pliku xorg.conf
Name:		kxgenerator
Version:	0.3.5
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://dp0154.debowypark.waw.pl/%{name}-%{version}-pld.tar.bz2
# Source0-md5:	19ada62058a0a77b18563aa04f6d135e
Patch0:		%{name}-desktop.patch
URL:		http://kxgenerator.fe.pl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kX Generator is a utilitty to configure the X server by modifying
xorg.conf file.

%description -l de
kX Generator ist ein Programm dass den X Server konfiguriert indem es
die xorg.conf Datei verndert.

%description -l pl
kX Generator to narzdzie do konfiguracji X serwera poprzez
modyfikowanie pliku xorg.conf.

%prep
%setup -q -n %{name}-%{version}-pld
%patch0 -p0

%build
cp -f /usr/share/automake/config.sub admin
%{__aclocal}
%{__autoconf}
%configure \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}
install src/*.desktop $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

rm $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop
rm $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/kxgenerator-layout.desktop

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/%{name}-logo.png
%{_iconsdir}/hicolor/*/apps/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kxgenerator.spec,v $
Revision 1.29  2006/11/07 21:26:17  glen
- *complete* amd64 build fix taken from kdepackage-template.spec

Revision 1.28  2006/11/07 21:16:08  glen
- files cleanup

Revision 1.27  2006/11/07 20:25:29  shadzik
- return to manual aclocal and autoconf

Revision 1.26  2006/11/07 20:07:25  shadzik
- now fix build again on all archs (i hope)
- rel 3

Revision 1.25  2006/11/07 19:22:00  shadzik
- rel up

Revision 1.24  2006/11/07 19:20:15  shadzik
- fix amd64 build

Revision 1.23  2006/11/07 16:56:53  shadzik
- kill autoconf BR

Revision 1.22  2006/10/09 19:24:27  shadzik
- up to 0.3.5 official PLD release !!! featuring our logo by mimooh
- more %files
- new Source0

Revision 1.21  2006/09/25 01:06:46  shadzik
- proper homepage

Revision 1.20  2006/09/09 14:35:47  adamg
- updated to 0.3.4

Revision 1.19  2006/08/07 16:05:14  qboosh
- simplified setup

Revision 1.18  2006/08/07 14:06:44  shadzik
- 0.3.3

Revision 1.17  2006/08/05 16:00:46  shadzik
- ekhem, now it works

Revision 1.16  2006/08/05 15:58:49  shadzik
- fix %setup

Revision 1.15  2006/08/05 15:55:39  shadzik
- up to 0.3.2-2 bugfix

Revision 1.14  2006/07/22 08:24:47  shadzik
- up to 0.3
- rewriten from scratch, has less functionality than 0.2.7 but will soon be much better
  (it already has a better GUI)

Revision 1.13  2006/07/05 22:59:58  shadzik
- SUmmary(de) -> Summary(de) fix

Revision 1.12  2006/07/05 22:57:01  shadzik
- up to 0.2.7

Revision 1.11  2006/06/30 23:45:30  shadzik
- up to 0.2.6

Revision 1.10  2006/06/29 00:13:32  shadzik
- up to 0.2.5

Revision 1.9  2006/06/28 11:53:25  shadzik
- up to 0.2.4

Revision 1.8  2006/06/26 00:29:23  shadzik
- up to 0.2.3; new Source0

Revision 1.7  2006/06/23 10:43:48  qboosh
- cosmetics

Revision 1.6  2006/06/22 09:25:33  shadzik
- up to 0.2.2

Revision 1.5  2006/06/20 17:58:08  glen
- spelling

Revision 1.4  2006/06/20 17:35:00  shadzik
- add -desktop.patch; use %{_desktopdir}; cleared TODO list

Revision 1.3  2006/06/20 17:09:54  darekr
- rpmbuild(macros) for _kdedocdir, add TODO

Revision 1.2  2006/06/20 17:06:44  shadzik
- ehm, adapterized descriptions

Revision 1.1  2006/06/20 17:05:02  shadzik
- initial spec
